summaryrefslogtreecommitdiff
path: root/hints/aix.sh
diff options
context:
space:
mode:
authorJarkko Hietaniemi <jhi@iki.fi>1997-11-19 22:10:51 -0800
committerMalcolm Beattie <mbeattie@sable.ox.ac.uk>1997-11-25 14:16:29 +0000
commit52e1cb5ebf5e5a8cd5d3d9673b540b0c0dfe20df (patch)
tree078676a210b97f20bbebc123cfe028728a29a04e /hints/aix.sh
parent51dd5992be029393cb3f221313a1a6ec2a76c21a (diff)
downloadperl-52e1cb5ebf5e5a8cd5d3d9673b540b0c0dfe20df.tar.gz
AIX patch (including Configure support for {sched,pthread}_yield,
pthread initial detach state, renaming perl_thread to perl_os_thread and struct thread to struct perl_thread): Subject: Re: _54 on AIX p4raw-id: //depot/perl@290
Diffstat (limited to 'hints/aix.sh')
-rw-r--r--hints/aix.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/hints/aix.sh b/hints/aix.sh
index 2c42151ea6..8869a23c5c 100644
--- a/hints/aix.sh
+++ b/hints/aix.sh
@@ -1,6 +1,8 @@
# hints/aix.sh
# AIX 3.x.x hints thanks to Wayne Scott <wscott@ichips.intel.com>
# AIX 4.1 hints thanks to Christopher Chan-Nui <channui@austin.ibm.com>.
+# AIX 4.1 pthreading by Christopher Chan-Nui <channui@austin.ibm.com> and
+# Jarkko Hietaniemi <jhi@iki.fi>.
# Merged on Mon Feb 6 10:22:35 EST 1995 by
# Andy Dougherty <doughera@lafcol.lafayette.edu>
@@ -74,3 +76,32 @@ lddlflags='-H512 -T512 -bhalt:4 -bM:SRE -bI:$(PERL_INC)/perl.exp -bE:$(BASEEXT).
;;
esac
+
+if [ "X$usethreads" != "X" ]; then
+ ccflags="-DUSE_THREADS $ccflags"
+ cppflags="-DUSE_THREADS $cppflags"
+ case "$cc" in
+ xlc_r)
+ ;;
+ cc | '')
+ cc=xlc_r
+ ;;
+ *)
+ case "$cc" in
+ gcc)
+ echo >&4 "You cannot use POSIX threads from GNU cc in AIX."
+ ;;
+ *)
+ echo >&4 "Unknown C compiler."
+ ;;
+ esac
+ echo >&4 "You should use the AIX C compiler called xlc_r."
+ echo >&4 "Cannot continue, aborting."
+ exit 1
+ ;;
+ esac
+
+ # Add the POSIX threads library and use the re-entrant libc.
+
+ lddlflags=`echo $lddlflags | sed 's/ -lc$/ -lpthreads -lc_r/'`
+fi